Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge.svg12
Class DefaultXBLManager.DefinitionRecord

    java.lang.Object
      org.apache.batik.bridge.svg12.DefaultXBLManager.DefinitionRecord

All Implemented Interfaces:
  Comparable

Enclosing class:
  DefaultXBLManager

    protected class DefaultXBLManager.DefinitionRecord

extends Object
implements Comparable

Record class for storing information about an XBL definition.

Field Summary
`XBLOMDefinitionElement` | `definition` The definition element.
`Element` | `importElement` The import element that imported this definition.
`String` | `localName` The local name.
`String` | `namespaceURI` The namespace URI.
`XBLOMTemplateElement` | `template` The template element for this definition.

Constructor Summary
`DefaultXBLManager.DefinitionRecord(String ns, String ln, XBLOMDefinitionElement def, XBLOMTemplateElement t, Element imp)` Creates a new DefinitionRecord.

Method Summary
`int` | `compareTo(Object other)` Compares two definition records.
`boolean` | `equals(Object other)` Returns whether two definition records are the same.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### namespaceURI

    public String namespaceURI

  The namespace URI.

### localName

    public String localName

  The local name.

### definition

    public XBLOMDefinitionElement definition

  The definition element.

### template

    public XBLOMTemplateElement template

  The template element for this definition.

### importElement

    public Element importElement

  The import element that imported this definition.

Constructor Detail

### DefaultXBLManager.DefinitionRecord

    public DefaultXBLManager.DefinitionRecord(String ns,
                                              String ln,
                                              XBLOMDefinitionElement def,
                                              XBLOMTemplateElement t,
                                              Element imp)

  Creates a new DefinitionRecord.

Method Detail

### equals

    public boolean equals(Object other)

  Returns whether two definition records are the same.

  Overrides:
    `equals` in class `Object`

### compareTo

    public int compareTo(Object other)

  Compares two definition records.

  Specified by:
    `compareTo` in interface `Comparable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.